<?php
	ini_set("session.cookie_lifetime",60*60*10);
	ini_set("session.gc_maxlifetime", 60*60*10);
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//
	if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
		JsDir("cerrar.php");	
		return;
	}
	//+++
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrEmp=V($_POST['CboEmp']);		
	$StrAlm=V($_POST['CboAlm']);		
	$StrTde=V($_POST['CboTde']);		
	$StrDex=V($_POST['TxtDex']);
	$StrHax=V($_POST['TxtHax']);		
	$StrUsu=V($_POST['CboUsu']);		
	$StrAnu=V($_POST['CboAnu']);
	//
	if(strlen($StrDex)==0)$StrDex=date("d-m-y");
	if(strlen($StrHax)==0)$StrHax=date("d-m-y");	
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("S");
	if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");
	//	
	if(strlen($StrTde)==0) $StrTde="TODOS";
	if(strlen($StrUsu)==0) $StrUsu="TODOS";
	if(strlen($StrAnu)==0) $StrAnu="TODOS";
	//-------------------------
	$StrEmp_=LIKE($StrEmp);
	$StrAlm_=LIKE($StrAlm);
	$StrTde_=$StrTde;
	if($StrTde=="TODOS") $StrTde_="%";
	$StrDex_=val_dex($StrDex);
	$StrHax_=val_hax($StrHax);
	$StrUsu_=LIKE($StrUsu);
	$StrAnu_=LIKE($StrAnu);
	$StrAnu_=substr($StrAnu_,0,1);
	//-------------------------
	$FF="ID>0 AND EMPC LIKE '$StrEmp_' AND 
		 ALM LIKE '$StrAlm_' AND 
		 TDI LIKE '$StrTde_' AND 
		 FEC >= '$StrDex_' AND 
		 FEC <= '$StrHax_' AND USU_NOM LIKE '$StrUsu_' AND ANU LIKE '$StrAnu_' ";
	//-------------------------
	$LStrTR=gn("count(*)","vingresos",$FF);
$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=20;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ingresos Buscar</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<script>
$(document).ready(function(){
$("#TxtDex").mask("99-99-99");
$("#TxtHax").mask("99-99-99");
});

function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}


</script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:1200px;
	height:600px;
	position:absolute;
	left:<?php echo "50%";?>;
	top:<?php echo "50%";?>;
	background-color:#006699;
	margin:<?php echo "-300px";?> 0 0 <?php echo "-600px";?>;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.x5 {color: #000000}

-->
</style>

</head>
<body  <?php echo $StrMsg;?>>
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" action="ingresos_buscar.php">

  
    <div id="layer5" style="position:absolute; left: 116px; top: 50px; width: 85px; height: 28px;">
      <div align="left" class="f2">
        <input name="CmdV" type="button" id="CmdV" 
        value="Volver" onclick="fVolver('ingresos.php');" />
        <input type="hidden" name="TxtAc" id="TxtAc" />
        <input name="TxtPag" id="TxtPag" type="hidden" value="<?php echo $LStrPag; ?>" />
<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/>  
      </div>
  </div>

<div id="layer3" style="position:absolute; left: 30px; top: 150px; width: 1140px; height: 420px; overflow:auto">
<div align="left" class="f2">
<table id="Exportar_a_Excel" width="1115" height="19" border="1" cellpadding="0" cellspacing="0">

<tr>
<td height="18" colspan="9" bgcolor="#666666" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<td width="77" bgcolor="#999999"><span class="x4">N°INGRESO</span></td>
<td width="77" bgcolor="#999999"><span class="x4">FECHA</span></td>
<td width="223" bgcolor="#999999"><span class="x4">EMPRESA / ALMACEN</span></td>
<td width="244" bgcolor="#999999"><span class="x4">TIPO DE EGRESO</span></td>
<td width="288" bgcolor="#999999"><span class="x4">OBS</span></td>
<td width="87" bgcolor="#999999"style="text-align:right"><span class="x4">TOTAL</span></td>
<td width="136" bgcolor="#999999"><span class="x4">USUARIO</span></td>
<td width="24" bgcolor="#999999"><span class="x4">ANU</span></td>
<td width="18" bgcolor="#999999">&nbsp;</td>
</tr>

<?php	
$TOTAL=0; 		
$s="SELECT ID,DATE_FORMAT(FEC,'%d-%m-%y'),ALM,TDI,OBS,TOT,EMPC,USU_NOM,ANU
	FROM vingresos 
	WHERE $FF ORDER BY ID DESC  ";
$X1="<td bgcolor=\"#FFFFFF\"><span class=\"x5\">";
$X2="</span></td>";

$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
$result = grs($s);				
while ($row = $result->fetch_row()){
echo "<tr 
ondblclick=\"location.href='ingresos.php?Id=$row[0]&Pag=0';\">";

echo "<td bgcolor=\"#FFFFFF\" align=\"center\">
<span class=\"x5\">$row[0]</span></td>";
echo "<td bgcolor=\"#FFFFFF\">
<span class=\"x5\">$row[1]</span></td>";
echo "<td bgcolor=\"#FFFFFF\">
<span class=\"x5\">".$row[6]." / ".$row[2]."</span></td>";
echo "<td bgcolor=\"#FFFFFF\">
<span class=\"x5\">$row[3]</span></td>";
echo "<td bgcolor=\"#FFFFFF\">
<span class=\"x5\">$row[4]</span></td>";

echo "<td bgcolor=\"#FFFFFF\" align=\"right\">
<span class=\"x5\">".NF2($row[5],2)."</span></td>";	

echo "<td bgcolor=\"#FFFFFF\">
<span class=\"x5\">$row[7]</span></td>";

echo "<td bgcolor=\"#FFFFFF\">
<span class=\"x5\">$row[8]</span></td>";
					 
echo "<td bgcolor=\"#FFFFFF\" align=\"center\">
<a href=\"ingresos.php?Id=$row[0]&Pag=0\" >
<img src=\"img/b_edit.png\"  border=\"0\"/>
</a>
</td>";
echo "</tr>";
$TOTAL=$TOTAL + $row[5];
}

?>		  
<tr  >
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF" >&nbsp;</td>      
<td bgcolor="#FFFFFF" style="text-align:right; color: #000;">TOTAL</td>
<td  bgcolor="#FFFFFF" style="text-align:right; color: #000;" ><?php echo NF2($TOTAL,2);?></td>
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF" >&nbsp;</td> 
</tr>
</table>
</div>
</div>
    <div id="layer" style="position:absolute; left: 116px; top: 30px; width: 622px; height: 20px;">
      <div align="left" class="Estilo1">INGRESOS - BUSCAR</div>
    </div>
    <div id="LblTit" style="position:absolute; left: 57px; top: 25px; width: 64px;">
      <div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
</div>	
        <input name="CmdB" type="button" id="CmdB"
style="position:absolute; left: 1005px; top: 121px; width: 141px;"
 value="Filtrar" onclick="fFiltrar();" />

    <div id="layer7" style="position:absolute; left: 521px; top: 89px; width: 45px;">
      <div align="left" class="f2">DESDE</div>
    </div>
<div class="EV" style="left: 521px; top: 105px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>

<input name="TxtDex" type="text" id="TxtDex" 
        style="position:absolute; left: 519px; top: 121px; width: 73px;" value="<?php echo $StrDex;?>"  
        onkeydown="return SoloFec(this,event,'TxtHax');"
        tabindex="1" />

        <select name="CboTde" id="CboTde" 
style="position:absolute; left: 334px; top: 121px; width: 172px;" 
onkeydown="return SoloTextoEx(event,'TxtDex');">
<?php
	if($StrTde=="TODOS"){
		echo "<option value=\"TODOS\" selected=\"selected\">TODOS</option>";		
	}else{
		echo "<option value=\"TODOS\" >TODOS</option>";		
	}
	$s="SELECT nombre FROM ingresos_tipos WHERE id_it>= 0 ORDER BY nombre";
	$result = grs($s);
	while ($row = $result->fetch_row()){
	if($StrTde==$row[0]){
		echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
	}else{
		echo "<option value=\"$row[0]\" >$row[0]</option>";
	}
	}
?>
        </select>

<div id="layer13" style="position:absolute; left: 337px; top: 105px; width: 167px;">
<div align="left" class="f2">TIPO DE INGRESO</div>
</div>

<div style="position:absolute; left:29px; top: 105px; width: 142px;">
<div align="left" class="f2">EMPRESA</div>
</div>

<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:29px; top:121px; width: 140px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" tabindex="1">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>


<select name="CboAlm" id="CboAlm" 
style="position:absolute; left: 177px; top: 121px; width: 150px;" 
onkeydown="return SoloTextoEx(event,'CboTde');">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>

<div id="layer14" style="position:absolute; left: 182px; top: 105px; width: 142px;">
<div align="left" class="f2">ALMACEN</div>
</div>
<div id="layer6" style="position:absolute; left: 610px; top: 89px; width: 66px;">
<div align="left" class="f2">HASTA</div>
</div>
<div class="EV" style="left: 608px; top: 105px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>
<input name="TxtHax" type="text" id="TxtHax" 
style="position:absolute; left: 607px; top: 121px; width: 73px;" value="<?php echo $StrHax;?>"  
onkeydown="return SoloFec(this,event,'CboUsu');"
tabindex="1" />

<div id="layer13" style="position:absolute; left: 693px; top: 105px; width: 120px;">
<div align="left" class="f2">USUARIO</div>
</div>
<select name="CboUsu" id="CboUsu" 
style="position:absolute; left: 693px; top: 121px; width: 171px;" 
onkeydown="return SoloTextoEx(event,'CboAnu');">
<?php
echo FCBO("USU","vis_usuarios_cargos","CAR='CAJERO'",$StrUsu,"S","N");
?>
</select>

<div id="layer26" style="position:absolute; left: 876px; top: 105px; width: 82px;">
<div align="left" class="f2">ANULADO</div>
</div>
<select name="CboAnu" id="CboAnu" 
style="position:absolute; left: 875px; top: 121px; width: 85px;" tabindex="8"
onkeydown="return SoloTextoEx(event,'CmdB');">
<?php echo FCBO_("au_item","auxiliar","au_tab='SI_NO'",$StrAnu,"S","N");?>
</select>


  

</form>
<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 185px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
